Gentoo Archives: gentoo-commits

From: Pacho Ramos <pacho@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/networkmanager/
Date: Sat, 26 Dec 2015 14:21:07
Message-Id: 1451139636.d5344750c0374cc3c94b814dc0955f541fef8ae5.pacho@gentoo
1 commit: d5344750c0374cc3c94b814dc0955f541fef8ae5
2 Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
3 AuthorDate: Sat Dec 26 14:19:11 2015 +0000
4 Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
5 CommitDate: Sat Dec 26 14:20:36 2015 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5344750
7
8 net-misc/networkmanager: Version bump
9
10 Package-Manager: portage-2.2.26
11
12 net-misc/networkmanager/Manifest | 1 +
13 .../networkmanager/networkmanager-1.0.10.ebuild | 345 +++++++++++++++++++++
14 2 files changed, 346 insertions(+)
15
16 diff --git a/net-misc/networkmanager/Manifest b/net-misc/networkmanager/Manifest
17 index 9382c43..9e862a1 100644
18 --- a/net-misc/networkmanager/Manifest
19 +++ b/net-misc/networkmanager/Manifest
20 @@ -1,2 +1,3 @@
21 +DIST NetworkManager-1.0.10.tar.xz 3488600 SHA256 1bcfce8441dfd9f432a100d06b54f3831a2275cccc3b74b1b4c09a011e179fbc SHA512 0c5df37565c1ec6fafe60fad0ede34d28e7d87200e338489f35eec18c3e88920f47d58eae5a8aba5caeddb26a6f7074e79e8f6a7d4f7584ce3cc9be0df99f1ef WHIRLPOOL e1a0158d69e444224c25a6287bbe4f3b89d623c85f39a59eb2aeffca83b38cd85ccf067af14e5ff79b23b4346f606e15e3d33b9d097c7ef8d50054fdc5056379
22 DIST NetworkManager-1.0.6.tar.xz 3381092 SHA256 38ea002403e3b884ffa9aae25aea431d2a8420f81f4919761c83fb92648254bd SHA512 74e8f91bbd9a70f1764b06c729717e091d2be0a8e316fe1b6235e644b65f43add5214be7a1100fe9d30b1511f4a00b9892dce79bb8ba0f0b0d57089d2ba6ddbb WHIRLPOOL 5f1d8c905e4aaa78c742c16e773f8fdbcdb2771edf36565f6b419af457776084573aa43b384ba32885992e76b399d4f2fc7dc94ad4295ac28dcfa3d6b6994b97
23 DIST NetworkManager-1.0.8.tar.xz 3409672 SHA256 8bb128950f8a79ff881afadb46dd55e16f952390cf7cb4e06063431e5144937f SHA512 f27d22aed52fccd037c67983f845a94152263bfbc3a8d8d5693cd8e115dbd0cdfd28e4bed291fce61840ffa05426d48b3e0a18b9596202a7f5048090caa5d87c WHIRLPOOL ab550b88a2f68d74f2064ef2a0ae7473f739cd2640b6c365d1ff9f04d8dec51208f96cd46e36fbdb1dd999b109498d8f76cf683fc121168571b5565a8371cde0
24
25 diff --git a/net-misc/networkmanager/networkmanager-1.0.10.ebuild b/net-misc/networkmanager/networkmanager-1.0.10.ebuild
26 new file mode 100644
27 index 0000000..f6ecae9
28 --- /dev/null
29 +++ b/net-misc/networkmanager/networkmanager-1.0.10.ebuild
30 @@ -0,0 +1,345 @@
31 +# Copyright 1999-2015 Gentoo Foundation
32 +# Distributed under the terms of the GNU General Public License v2
33 +# $Id$
34 +
35 +EAPI="5"
36 +GCONF_DEBUG="no"
37 +GNOME_ORG_MODULE="NetworkManager"
38 +GNOME2_LA_PUNT="yes"
39 +VALA_USE_DEPEND="vapigen"
40 +PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
41 +
42 +inherit autotools bash-completion-r1 eutils gnome2 linux-info multilib python-any-r1 systemd \
43 + user readme.gentoo toolchain-funcs vala versionator virtualx udev multilib-minimal
44 +
45 +DESCRIPTION="A set of co-operative tools that make networking simple and straightforward"
46 +HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
47 +
48 +LICENSE="GPL-2+"
49 +SLOT="0" # add subslot if libnm-util.so.2 or libnm-glib.so.4 bumps soname version
50 +
51 +IUSE="bluetooth connection-sharing consolekit +dhclient dhcpcd gnutls +introspection \
52 +kernel_linux +nss +modemmanager ncurses +ppp resolvconf selinux systemd teamd test \
53 +vala +wext +wifi zeroconf" # wimax
54 +
55 +KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
56 +
57 +REQUIRED_USE="
58 + modemmanager? ( ppp )
59 + wext? ( wifi )
60 + ^^ ( nss gnutls )
61 + ^^ ( dhclient dhcpcd )
62 +"
63 +
64 +# gobject-introspection-0.10.3 is needed due to gnome bug 642300
65 +# wpa_supplicant-0.7.3-r3 is needed due to bug 359271
66 +# TODO: Qt support?
67 +COMMON_DEPEND="
68 + >=sys-apps/dbus-1.2[${MULTILIB_USEDEP}]
69 + >=dev-libs/dbus-glib-0.100[${MULTILIB_USEDEP}]
70 + >=dev-libs/glib-2.37.6:2[${MULTILIB_USEDEP}]
71 + >=dev-libs/libnl-3.2.8:3=
72 + >=sys-auth/polkit-0.106
73 + net-libs/libndp
74 + >=net-libs/libsoup-2.40:2.4=
75 + net-misc/iputils
76 + sys-libs/readline:0
77 + >=virtual/libgudev-165:=[${MULTILIB_USEDEP}]
78 + bluetooth? ( >=net-wireless/bluez-5 )
79 + connection-sharing? (
80 + net-dns/dnsmasq[dhcp]
81 + net-firewall/iptables )
82 + gnutls? (
83 + dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
84 + net-libs/gnutls:=[${MULTILIB_USEDEP}] )
85 + modemmanager? ( >=net-misc/modemmanager-0.7.991 )
86 + ncurses? ( >=dev-libs/newt-0.52.15 )
87 + nss? ( >=dev-libs/nss-3.11:=[${MULTILIB_USEDEP}] )
88 + dhclient? ( >=net-misc/dhcp-4[client] )
89 + dhcpcd? ( >=net-misc/dhcpcd-4.0.0_rc3 )
90 + introspection? ( >=dev-libs/gobject-introspection-0.10.3:= )
91 + ppp? ( >=net-dialup/ppp-2.4.5:=[ipv6] net-dialup/rp-pppoe )
92 + resolvconf? ( net-dns/openresolv )
93 + systemd? ( >=sys-apps/systemd-209:0= )
94 + !systemd? ( || ( sys-power/upower sys-power/upower-pm-utils ) )
95 + teamd? ( >=net-misc/libteam-1.9 )
96 + zeroconf? ( net-dns/avahi:=[autoipd] )
97 +"
98 +RDEPEND="${COMMON_DEPEND}
99 + consolekit? ( sys-auth/consolekit )
100 + wifi? ( >=net-wireless/wpa_supplicant-0.7.3-r3[dbus] )
101 +"
102 +DEPEND="${COMMON_DEPEND}
103 + dev-util/gdbus-codegen
104 + dev-util/gtk-doc-am
105 + >=dev-util/intltool-0.40
106 + >=sys-devel/gettext-0.17
107 + >=sys-kernel/linux-headers-2.6.29
108 + virtual/pkgconfig
109 + vala? ( $(vala_depend) )
110 + test? (
111 + $(python_gen_any_dep '
112 + dev-python/dbus-python[${PYTHON_USEDEP}]
113 + dev-python/pygobject:2[${PYTHON_USEDEP}]')
114 + )
115 +"
116 +
117 +sysfs_deprecated_check() {
118 + ebegin "Checking for SYSFS_DEPRECATED support"
119 +
120 + if { linux_chkconfig_present SYSFS_DEPRECATED_V2; }; then
121 + eerror "Please disable SYSFS_DEPRECATED_V2 support in your kernel config and recompile your kernel"
122 + eerror "or NetworkManager will not work correctly."
123 + eerror "See https://bugs.gentoo.org/333639 for more info."
124 + die "CONFIG_SYSFS_DEPRECATED_V2 support detected!"
125 + fi
126 + eend $?
127 +}
128 +
129 +pkg_pretend() {
130 + if use kernel_linux; then
131 + get_version
132 + if linux_config_exists; then
133 + sysfs_deprecated_check
134 + else
135 + ewarn "Was unable to determine your kernel .config"
136 + ewarn "Please note that if CONFIG_SYSFS_DEPRECATED_V2 is set in your kernel .config, NetworkManager will not work correctly."
137 + ewarn "See https://bugs.gentoo.org/333639 for more info."
138 + fi
139 +
140 + fi
141 +}
142 +
143 +pkg_setup() {
144 + enewgroup plugdev
145 +}
146 +
147 +src_prepare() {
148 + DOC_CONTENTS="To modify system network connections without needing to enter the
149 + root password, add your user account to the 'plugdev' group."
150 +
151 + # Force use of /run, avoid eautoreconf, upstream bug #737139, fixed in 'master'
152 + sed -e 's:$localstatedir/run/:/run/:' -i configure || die
153 +
154 + # Don't build examples, they are not needed and can cause build failure
155 + sed -e '/^\s*examples\s*\\/d' -i Makefile.{am,in} || die
156 +
157 + use vala && vala_src_prepare
158 +
159 + epatch_user # don't remove, users often want custom patches for NM
160 +
161 + eautoreconf
162 +
163 + gnome2_src_prepare
164 +}
165 +
166 +multilib_src_configure() {
167 + local myconf=()
168 +
169 + # Same hack as net-dialup/pptpd to get proper plugin dir for ppp, bug #519986
170 + if use ppp; then
171 + local PPPD_VER=`best_version net-dialup/ppp`
172 + PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
173 + PPPD_VER=${PPPD_VER%%[_-]*} # main version without beta/pre/patch/revision
174 + myconf+=( --with-pppd-plugin-dir=/usr/$(get_libdir)/pppd/${PPPD_VER} )
175 + fi
176 +
177 + # unit files directory needs to be passed only when systemd is enabled,
178 + # otherwise systemd support is not disabled completely, bug #524534
179 + use systemd && myconf+=( "$(systemd_with_unitdir)" )
180 +
181 + if multilib_is_native_abi; then
182 + # work-around man out-of-source brokenness, must be done before configure
183 + mkdir man || die
184 + find "${S}"/man -name '*.?' -exec ln -s {} man/ ';' || die
185 + else
186 + # libnl, libndp are only used for executables, not libraries
187 + myconf+=( LIB{NL,NDP}_{CFLAGS,LIBS}=' ' )
188 + fi
189 +
190 + # TODO: enable wimax when we have a libnl:3 compatible revision of it
191 + # wimax will be removed, bug #522822
192 + # ifnet plugin always disabled until someone volunteers to actively
193 + # maintain and fix it
194 + ECONF_SOURCE=${S} \
195 + gnome2_src_configure \
196 + --disable-more-warnings \
197 + --disable-static \
198 + --localstatedir=/var \
199 + --disable-lto \
200 + --disable-config-plugin-ibft \
201 + --disable-ifnet \
202 + --without-netconfig \
203 + --with-dbus-sys-dir=/etc/dbus-1/system.d \
204 + --with-udev-dir="$(get_udevdir)" \
205 + --with-config-plugins-default=keyfile \
206 + --with-iptables=/sbin/iptables \
207 + $(multilib_native_with libsoup) \
208 + $(multilib_native_enable concheck) \
209 + --with-crypto=$(usex nss nss gnutls) \
210 + --with-session-tracking=$(multilib_native_usex systemd systemd $(multilib_native_usex consolekit consolekit no)) \
211 + --with-suspend-resume=$(multilib_native_usex systemd systemd upower) \
212 + $(multilib_native_use_enable bluetooth bluez5-dun) \
213 + $(multilib_native_use_enable introspection) \
214 + $(multilib_native_use_enable ppp) \
215 + --disable-wimax \
216 + $(use_with dhclient) \
217 + $(use_with dhcpcd) \
218 + $(multilib_native_use_with modemmanager modem-manager-1) \
219 + $(multilib_native_use_with ncurses nmtui) \
220 + $(multilib_native_use_with resolvconf) \
221 + $(multilib_native_use_with selinux) \
222 + $(multilib_native_use_enable teamd teamdctl) \
223 + $(multilib_native_use_enable test tests) \
224 + $(multilib_native_use_enable vala) \
225 + --without-valgrind \
226 + $(multilib_native_use_with wext) \
227 + $(multilib_native_use_enable wifi) \
228 + "${myconf[@]}"
229 +
230 + # work-around gtk-doc out-of-source brokedness
231 + if multilib_is_native_abi; then
232 + local d
233 + for d in api libnm libnm-util libnm-glib; do
234 + ln -s "${S}"/docs/${d}/html docs/${d}/html || die
235 + done
236 + fi
237 +}
238 +
239 +multilib_src_compile() {
240 + if multilib_is_native_abi; then
241 + emake
242 + else
243 + emake all-am
244 + emake -C include
245 + emake -C introspection # generated headers, needed for libnm
246 + emake -C libnm-core
247 + emake -C libnm
248 + emake -C libnm-util
249 + emake -C libnm-glib
250 + fi
251 +}
252 +
253 +multilib_src_test() {
254 + if multilib_is_native_abi; then
255 + python_setup
256 + Xemake check
257 + fi
258 +}
259 +
260 +multilib_src_install() {
261 + if multilib_is_native_abi; then
262 + # Install completions at proper place, bug #465100
263 + gnome2_src_install completiondir="$(get_bashcompdir)"
264 + else
265 + emake DESTDIR="${D}" install-am
266 + emake DESTDIR="${D}" install -C include
267 + emake DESTDIR="${D}" install -C introspection
268 + emake DESTDIR="${D}" install -C libnm-core
269 + emake DESTDIR="${D}" install -C libnm
270 + emake DESTDIR="${D}" install -C libnm-util
271 + emake DESTDIR="${D}" install -C libnm-glib
272 + fi
273 +}
274 +
275 +multilib_src_install_all() {
276 + ! use systemd && readme.gentoo_create_doc
277 +
278 + newinitd "${FILESDIR}/init.d.NetworkManager" NetworkManager
279 + newconfd "${FILESDIR}/conf.d.NetworkManager" NetworkManager
280 +
281 + # /var/run/NetworkManager is used by some distros, but not by Gentoo
282 + rmdir -v "${ED}/var/run/NetworkManager" || die "rmdir failed"
283 + rmdir -v "${ED}/var/run" || die "rmdir failed"
284 +
285 + # Need to keep the /etc/NetworkManager/dispatched.d for dispatcher scripts
286 + keepdir /etc/NetworkManager/dispatcher.d
287 +
288 + # Provide openrc net dependency only when nm is connected
289 + exeinto /etc/NetworkManager/dispatcher.d
290 + newexe "${FILESDIR}/10-openrc-status-r4" 10-openrc-status
291 + sed -e "s:@EPREFIX@:${EPREFIX}:g" \
292 + -i "${ED}/etc/NetworkManager/dispatcher.d/10-openrc-status" || die
293 +
294 + keepdir /etc/NetworkManager/system-connections
295 + chmod 0600 "${ED}"/etc/NetworkManager/system-connections/.keep* # bug #383765, upstream bug #754594
296 +
297 + # Allow users in plugdev group to modify system connections
298 + insinto /usr/share/polkit-1/rules.d/
299 + doins "${FILESDIR}/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
300 +}
301 +
302 +pkg_postinst() {
303 + gnome2_pkg_postinst
304 + ! use systemd && readme.gentoo_print_elog
305 +
306 + if [[ -e "${EROOT}etc/NetworkManager/nm-system-settings.conf" ]]; then
307 + ewarn "The ${PN} system configuration file has moved to a new location."
308 + ewarn "You must migrate your settings from ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
309 + ewarn "to ${EROOT}etc/NetworkManager/NetworkManager.conf"
310 + ewarn
311 + ewarn "After doing so, you can remove ${EROOT}etc/NetworkManager/nm-system-settings.conf"
312 + fi
313 +
314 + # The polkit rules file moved to /usr/share
315 + old_rules="${EROOT}etc/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
316 + if [[ -f "${old_rules}" ]]; then
317 + case "$(md5sum ${old_rules})" in
318 + 574d0cfa7e911b1f7792077003060240* )
319 + # Automatically delete the old rules.d file if the user did not change it
320 + elog
321 + elog "Removing old ${old_rules} ..."
322 + rm -f "${old_rules}" || eerror "Failed, please remove ${old_rules} manually"
323 + ;;
324 + * )
325 + elog "The ${old_rules}"
326 + elog "file moved to /usr/share/polkit-1/rules.d/ in >=networkmanager-0.9.4.0-r4"
327 + elog "If you edited ${old_rules}"
328 + elog "without changing its behavior, you may want to remove it."
329 + ;;
330 + esac
331 + fi
332 +
333 + # ifnet plugin was disabled for systemd users with 0.9.8.6 version
334 + # and for all people with 0.9.10.0-r1 (see ChangeLog for full explanations)
335 + if use systemd; then
336 + if ! version_is_at_least 0.9.8.6 ${REPLACING_VERSIONS}; then
337 + ewarn "Ifnet plugin won't be used with systemd support enabled"
338 + ewarn "as it is meant to be used with openRC and can cause collisions"
339 + ewarn "(like bug #485658)."
340 + ewarn "Because of this, you will likely need to reconfigure some of"
341 + ewarn "your networks. To do this you can rely on Gnome control center,"
342 + ewarn "nm-connection-editor or nmtui tools for example once updated"
343 + ewarn "NetworkManager version is installed."
344 + fi
345 + else
346 + if ! version_is_at_least 0.9.10.0-r1 ${REPLACING_VERSIONS}; then
347 + ewarn "Ifnet plugin is now disabled because of it being unattended"
348 + ewarn "and unmaintained for a long time, leading to some unfixed bugs"
349 + ewarn "and new problems appearing. We will now use upstream 'keyfile'"
350 + ewarn "plugin."
351 + ewarn "Because of this, you will likely need to reconfigure some of"
352 + ewarn "your networks. To do this you can rely on Gnome control center,"
353 + ewarn "nm-connection-editor or nmtui tools for example once updated"
354 + ewarn "NetworkManager version is installed."
355 + fi
356 + fi
357 +
358 + # NM fallbacks to plugin specified at compile time (upstream bug #738611)
359 + # but still show a warning to remember people to have cleaner config file
360 + if [[ -e "${EROOT}etc/NetworkManager/NetworkManager.conf" ]]; then
361 + if grep plugins "${EROOT}etc/NetworkManager/NetworkManager.conf" | grep -q ifnet; then
362 + ewarn
363 + ewarn "You seem to use 'ifnet' plugin in ${EROOT}etc/NetworkManager/NetworkManager.conf"
364 + ewarn "Since it won't be used, you will need to stop setting ifnet plugin there."
365 + ewarn
366 + fi
367 + fi
368 +
369 + # NM shows lots of errors making nmcli neither unusable, bug #528748 upstream bug #690457
370 + if grep -r "psk-flags=1" "${EROOT}"/etc/NetworkManager/; then
371 + ewarn "You have psk-flags=1 setting in above files, you will need to"
372 + ewarn "either reconfigure affected networks or, at least, set the flag"
373 + ewarn "value to '0'."
374 + fi
375 +}